man2html(1)

NOME
man2html - formatta una pagina di manuale in html

SINTASSI
man2html [options] [file]

DESCRIZIONE
man2html converte una pagina di manuale che si trova in file (o stdin, nel caso non ci sia alcun file come argomento, o sia dato "-", come argomento) dallo stile man nroff in html, e stampa il risultato in stdout. Supporta tbl, ma non conosce eqn. Lo stato di uscita è 0. Se qualcosa va male su stdout viene stampata una pagina di errore. Può essere usato come un'utilità stand-alone, ma è pensato principalmente come ausilio per permettere agli utenti di navigare le proprio man page usando un browser html come lynx(1), xmosaic(1) o netscape(1). La parte principale di man2html è il motore da troff a html scritto da Richard Verhoeven (rcb5@win.tue.nl). Esso aggiunge collegamenti ipertestuali per i seguenti costrutti:

foo(3x) | "http://localhost/cgi-bin/man/man2html?3x+foo"
method://string | "method://string"
www.host.name | "http://www.host.name"
ftp.host.name | "ftp://ftp.host.name"
name@host | "mailto:name@host"
<string.h> | "file:/usr/include/string.h"

(Il primo di questi può essere regolato dalle opzioni - vedere sotto). Non viene fatto nessun controllo - i collegamenti generati non hanno bisogno di esistere. Inoltre è generato un indice con collegamenti interni alle varie sezioni, in modo che sia più facile trovare la propria strada in pagine di manuale grandi come bash(1).

OPZIONI
Quando si legge da stdin non è sempre chiaro come effettuare l'espansione directory di lavoro.

-D pathname
    Estrae le ultime due parti dal percorso, ed esegue chdir(dir) prima di iniziare la conversione.

L'opzione -E permette una facile generazione di messaggi di errore da uno script cgi.

-E string
    Emette una pagina di errore contenente il messaggio di errore dato.

La forma generale di un collegamento ipertestuale generato per un riferimenti a una man page è

    <method:cgipath><man2htmlpath><separator><manpage>

con un predefinito come mostrato sopra. Le parti di questo collegamento ipertestuale sono impostate usando le varie opzioni.

-h  Set method:cgipath to http://localhost. Questo è il predefinito.

-H host[.domain][:port]
    Set method:cgipath to http://host.domain:port.

-l  Set method:cgipath to lynxcgi:/home/httpd.

-L dir
    Set method:cgipath to lynxcgi:dir.

-M man2htmlpath
    Imposta il man2htmlpath da usare. Il valore predefinito è /cgi-bin/man/man2html.

-p  Imposta '/' come separatore.

-q  Imposta '?' come separatore. Questo è il valore predefinito.

-r  Usa percorsi html relativi, invece dei percorsi cgi-bin.

In una macchina senza eseguire httpd, si può usare lynx per navigare le man page, usando il metodo lynxcgi. Quando è in funzione qualche demone http, lynx, o qualunque altro browser, può essere usato per navigare le man page, usando il metodo http. L'opzione -l (per `lynxcgi') seleziona il vecchio comportamento. Con esso, il valore predefinito di cgipath è /home/httpd. In generale, uno script cgi può essere chiamato da

    <path_to_script>/<more_path>?<query>

e le variabili d'ambiente PATH_INFO e QUERY_STRING verranno impostate in <more_path> e <query>, rispettivamente. Poiché lynxcgi non gestisce la parte PATH_INFO, generiamo collegamenti ipertestualil con `?' come separatore predefinito. L'opzione -p (per `path') seleziona '/' come separatore, mentre l'opzione -q (per `query') seleziona '?' come separatore. L'opzione -H host specificherà l'host da usare (invece di localhost). Uno script cgi può usare

    man2html -H $SERVER_NAME

se la variabile SERVER_NAME è impostata. Questo permetterò alla propria macchina di agire come server ed esportare man page.

BUG
Ci sono molti euristici. L'output non sarà sempre perfetto. Il metodo lynxcgi non funzionerà se lynx è stato compilato senza selezionare il supporto per esso. Ci potrebbero essere problemi di sicurezza.

VEDERE ANCHE
lynx(1), man(1)